%define name aumix
%define version 1.8
%define release 1

Summary: Text based sound mixer
Name: %{name}
Version: %{version}
Release: %{release}
Vendor: Trevor Johnson <trevor@jpj.net>
Packager: ObiTuarY <Obituary@cybernet.be>
Distribution: ObiTuarY's RPM packages
Source: %{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Copyright: GPL
Group: Applications/Sound
Patch: aumix-1.8-build.patch

%description
Aumix is a color text mode sound mixer with GPM support.

%changelog
 
%prep

%setup -n %{name}-%{version}

%patch -p1

%build
./configure
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
gzip /usr/src/redhat/BUILD/%{name}-%{version}/aumix.1
install -m755 /usr/src/redhat/BUILD/%{name}-%{version}/aumix $RPM_BUILD_ROOT/usr/bin
install -m644 /usr/src/redhat/BUILD/%{name}-%{version}/aumix.1.gz $RPM_BUILD_ROOT/usr/man/man1

%clean
rm -r $RPM_BUILD_ROOT/
rm -r /usr/src/redhat/BUILD/%{name}-%{version}/

%files 
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
/usr/bin/aumix
/usr/man/man1/aumix.1.gz